Again new betas for Windows and Linux

Announcements and news about XAMPP and the Apache Friends project.

Again new betas for Windows and Linux

Postby Oswald » 26. January 2008 11:08

And again we're on our mission to keep XAMPP up-to-date and put the first beta version of the upcoming XAMPP release in our public beta download area.

New in this beta are: Apache (2.2.8), PHP4 (4.4.8 on Linux and on Windows 4.4.8RC2), Perl (5.10.0), phpMyAdmin (2.11.4), and FileZilla FTP Server (0.9.25) in the Windows version of XAMPP.

XAMPP beta versions are always for testing purposes only. There will be no upgrade packages from and to beta versions. To all testers: Many thanks in advance!!

Get the downloads at XAMPP BETA.
Last edited by Oswald on 11. February 2008 23:59, edited 1 time in total.
User avatar
Oswald
Apache Friends
 
Posts: 2718
Joined: 26. December 2002 19:51
Location: Berlin, Germany
XAMPP Version: 5.5.19
Operating System: Linux

Postby sari42 » 26. January 2008 14:09

dunno if this is the right place for reports...
... apache 2.2.8 often crashes on w2k, 2.2.6 (xampplite 1.6.5) is rock stable on the same laptop.
sari42
 
Posts: 800
Joined: 27. November 2005 18:28

Postby kvo » 28. January 2008 10:48

Please try the new Beta 3 for Windows.

The problem: My apache 2.2.8 compilation with VC 8.0 gives often a "C Runtime Error". I do not really know why. But my Apache 2.2.8 compilation with Visual C 7.1 runs stable (okay, i need some times for this idea). Against this stable Apache, i build the PHP-Apache2-moduls for PHP 4/5 with VC 8, because the PHP 5 Source makes linking-trouble with my VC 7.1 compiler. All this seems a little bit confused ... but at last in Beta 3, my testings were all okay.

Why PHP 4.4.8 RC2? Because a completly building of PHP 4 fails on my system. So i compile the most wanted modules seperat against the lib of the current PHP 4 Binary. But the last PHP 4 Binary from php.net i know was 4.4.8 rc2 dev. That is the reason.

Cheers! :wink:
User avatar
kvo
Apache Friends
 
Posts: 184
Joined: 24. January 2003 14:03
Location: Berlin

Postby kvo » 01. February 2008 00:20

Beta 4 win32 is out. So i try to produce the new release step by step. Since the Apache 2.6.6 win32 source, there is something wrong .. or (better) in development in the Apache Group. In the german thread, somebody notes me there are problems with w2k (windows 2000) for Beta 4. Somebody have the same problems? Thanks! :(
User avatar
kvo
Apache Friends
 
Posts: 184
Joined: 24. January 2003 14:03
Location: Berlin

Postby kvo » 02. February 2008 00:17

Okay, Beta 5 win32 is published. The problem: It seems PHP5 and Apache 2.2.8 are now completly thread-safe, but not all of my module compilations (php). So i made a remake with the beta 5 yet thread-safe, i hope ... :wink:
User avatar
kvo
Apache Friends
 
Posts: 184
Joined: 24. January 2003 14:03
Location: Berlin


Return to Announcements and news

Who is online

Users browsing this forum: No registered users and 0 guests